Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 670460 - www-client/chromium-72.0.3595.2 - In file included from ../../cc/input/scroll_snap_data.cc:6: ../../cc/input/snap_selection_strategy.h:20:15: error: ‘unique_ptr’ in namespace ‘std’ does not name a template type
Summary: www-client/chromium-72.0.3595.2 - In file included from ../../cc/input/scroll...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Chromium Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-06 07:18 UTC by Andrew Waters
Modified: 2018-12-07 16:46 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log.xz (build.log.xz,381.78 KB, application/x-xz-compressed-text)
2018-11-06 07:18 UTC, Andrew Waters
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Waters 2018-11-06 07:18:31 UTC
Created attachment 554248 [details]
build.log.xz

Build fails at:
In file included from ../../cc/input/scroll_snap_data.cc:6:
../../cc/input/snap_selection_strategy.h:20:15: error: ‘unique_ptr’ in namespace ‘std’ does not name a template type
   static std::unique_ptr<SnapSelectionStrategy> CreateForEndPosition(
               ^~~~~~~~~~
../../cc/input/snap_selection_strategy.h:20:10: note: ‘std::unique_ptr’ is defined in header ‘<memory>’; did you forget to ‘#include <memory>’?
../../cc/input/snap_selection_strategy.h:9:1:
+#include <memory>
 
../../cc/input/snap_selection_strategy.h:20:10:
   static std::unique_ptr<SnapSelectionStrategy> CreateForEndPosition(
          ^~~
../../cc/input/snap_selection_strategy.h:24:15: error: ‘unique_ptr’ in namespace ‘std’ does not name a template type
   static std::unique_ptr<SnapSelectionStrategy> CreateForDirection(
               ^~~~~~~~~~
../../cc/input/snap_selection_strategy.h:24:10: note: ‘std::unique_ptr’ is defined in header ‘<memory>’; did you forget to ‘#include <memory>’?
   static std::unique_ptr<SnapSelectionStrategy> CreateForDirection(
          ^~~
../../cc/input/snap_selection_strategy.h:27:15: error: ‘unique_ptr’ in namespace ‘std’ does not name a template type
   static std::unique_ptr<SnapSelectionStrategy> CreateForEndAndDirection(
               ^~~~~~~~~~
../../cc/input/snap_selection_strategy.h:27:10: note: ‘std::unique_ptr’ is defined in header ‘<memory>’; did you forget to ‘#include <memory>’?
   static std::unique_ptr<SnapSelectionStrategy> CreateForEndAndDirection(
          ^~~
Comment 1 Andrew Waters 2018-11-06 07:20:12 UTC
# emerge --info
Portage 2.3.51 (python 3.6.5-final-0, default/linux/amd64/17.0/desktop, gcc-8.2.0, glibc-2.27-r6, 4.19.1-gentoo x86_64)
=================================================================
System uname: Linux-4.19.1-gentoo-x86_64-Intel-R-_Core-TM-_i7-3720QM_CPU_@_2.60GHz-with-gentoo-2.4.1
KiB Mem:    16306144 total,    557236 free
KiB Swap:   16777212 total,  16777212 free
Timestamp of repository gentoo: Tue, 06 Nov 2018 06:30:01 +0000
Head commit of repository gentoo: d5c0f5c8f7d95b868ca464d571567caa81492183
sh bash 4.4_p12
ld GNU ld (Gentoo 2.31.1 p3) 2.31.1
ccache version 3.3.4 [disabled]
app-shells/bash:          4.4_p12::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.24.3-r1::gentoo
dev-lang/python:          2.7.15::gentoo, 3.6.5::gentoo
dev-util/ccache:          3.3.4-r1::gentoo
dev-util/cmake:           3.9.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.38.3::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.15.1-r2::gentoo
sys-devel/binutils:       2.31.1-r1::gentoo
sys-devel/gcc:            7.3.0-r6::gentoo, 8.2.0-r4::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.19::gentoo (virtual/os-headers)
sys-libs/glibc:           2.27-r6::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-max-age: 24
    sync-rsync-extra-opts: 
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-metamanifest: yes

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/gnupg/qualified.txt /usr/share/maven-bin-2.2/conf"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=native"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.bytemark.co.uk/gentoo/"
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en_GB"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi aes alsa amd64 apache2 avx berkdb bluetooth branding bzip2 cairo cdda cdr cli consolekit crypt cups cxx dbus dri dts dvd dvdr encode evo exif fam ffmpeg filecaps flac gdbm gif gimp glamor glut gnutls gpm gstreamer gtk iconv icu idn imagemagick ios ipv6 java jpeg jpeg2k lcms ldap libnotify libtirpc mad mmap mmx mmxext mng mp3 mp4 mpeg mtp multilib ncurses nls nptl nsplugin ogg opengl openmp opus pam pango pcre pdf png policykit popcnt posix postscript ppds qt5 quicktime raw rdesktop readline samba sasl sdl seccomp smp spell sqlite sse sse2 sse3 sse4 sse4_1 sse4_2 ssl ssse3 startup-notification subversion svg tcpd theora threads tiff truetype udev udisks unicode upower usb vim-syntax vorbis wavpack win32codecs wmf wxwidgets x264 x265 xattr xcb xcomposite xine xml xpm xscreensaver xv xvid zeroconf zlib zsh-completionix" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon plan sheets stage words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" L10N="en-GB" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-1" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" RUBY_TARGETS="ruby24" USERLAND="GNU" VIDEO_CARDS="nouveau intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 2 Andrew Waters 2018-11-06 07:20:25 UTC
# clang++ -v
clang version 7.0.0 (tags/RELEASE_700/final)
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/7/bin
Selected GCC installation: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.0
Candidate multilib: .;@m64
Candidate multilib: 32;@m32
Selected multilib: .;@m64
Comment 3 Andrew Waters 2018-11-06 07:21:20 UTC
# emerge -pv www-client/chromium

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U #] www-client/chromium-72.0.3595.2::gentoo [71.0.3578.10::gentoo] USE="cups hangouts kerberos (pic) proprietary-codecs suid -component-build -custom-cflags -gnome-keyring -jumbo-build (-neon) -pulseaudio (-selinux) (-system-ffmpeg) (-system-icu) (-system-libvpx) (-tcmalloc) -widevine" L10N="en-GB -am -ar -bg -bn -ca -cs -da -de -el -es -es-419 -et -fa -fi -fil -fr -gu -he -hi -hr -hu -id -it -ja -kn -ko -lt -lv -ml -mr -ms -nb -nl -pl -pt-BR -pt-PT -ro -ru -sk -sl -sr -sv -sw -ta -te -th -tr -uk -vi -zh-CN -zh-TW" 0 KiB

Total: 1 package (1 upgrade), Size of downloads: 0 KiB
Comment 4 Helmut Jarausch 2018-11-06 09:39:11 UTC
That's not the only problem.
With the patch
--- cc/input/snap_selection_strategy.h.ORIG	2018-10-30 05:11:53.000000000 +0100
+++ cc/input/snap_selection_strategy.h	2018-11-05 15:51:33.163842843 +0100
@@ -6,6 +6,7 @@
 #define CC_INPUT_SNAP_SELECTION_STRATEGY_H_
 
 #include "scroll_snap_data.h"
+#include <memory>
 
 namespace cc {

this error is resolved, but then I get
x86_64-pc-linux-gnu-g++ -MMD -MF obj/third_party/blink/renderer/modules/indexeddb/indexeddb/indexed_db_dispatcher.o.d -DV8_DEPRECATION_WARNINGS -DUSE_UDEV -DUSE_AURA=1 -DUSE_GLIB=1 -DUSE_NSS_CERTS=1 -DUSE_X11=1 -DNO_TCMALLOC -DFULL_SAFE_BROWSING -DSAFE_BROWSING_CSD -DSAFE_BROWSING_DB_LOCAL -DCHROMIUM_BUILD -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -DNDEBUG -DNVALGRIND -DDYNAMIC_ANNOTATIONS_ENABLED=0 -DBLINK_MODULES_IMPLEMENTATION=1 -DBLINK_IMPLEMENTATION=1 -DINSIDE_BLINK -DGLIB_VERSION_MAX_ALLOWED=GLIB_VERSION_2_32 -DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26 -DGL_GLEXT_PROTOTYPES -DUSE_GLX -DUSE_EGL -DVK_NO_PROTOTYPES -DU_USING_ICU_NAMESPACE=0 -DU_ENABLE_DYLOAD=0 -DUSE_CHROMIUM_ICU=1 -DU_STATIC_IMPLEMENTATION -DICU_UTIL_DATA_IMPL=ICU_UTIL_DATA_FILE -DUCHAR_TYPE=uint16_t -DGOOGLE_PROTOBUF_NO_RTTI -DGOOGLE_PROTOBUF_NO_STATIC_INITIALIZER -DHAVE_PTHREAD -DV8_DEPRECATION_WARNINGS -DSK_IGNORE_LINEONLY_AA_CONVEX_PATH_OPTS -DSK_HAS_PNG_LIBRARY -DSK_HAS_WEBP_LIBRARY -DSK_HAS_JPEG_LIBRARY -DSK_VULKAN_HEADER=\"../../skia/config/SkVulkanConfig.h\" -DSK_VULKAN=1 -DSK_SUPPORT_GPU=1 -DSK_GPU_WORKAROUNDS_HEADER=\"gpu/config/gpu_driver_bug_workaround_autogen.h\" -DVK_NO_PROTOTYPES -DWEBRTC_NON_STATIC_TRACE_EVENT_HANDLERS=0 -DWEBRTC_CHROMIUM_BUILD -DWEBRTC_POSIX -DWEBRTC_LINUX -DABSL_ALLOCATOR_NOTHROW=1 -DNO_MAIN_THREAD_WRAPPING -DWTF_USE_WEBAUDIO_FFMPEG=1 -DSUPPORT_WEBGL2_COMPUTE_CONTEXT=1 -DWTF_USE_DEFAULT_RENDER_THEME=1 -DUSE_SYSTEM_LIBJPEG -DV8_DEPRECATION_WARNINGS -DUSE_SYSTEM_ZLIB=1 -I../.. -Igen -Igen/shim_headers/zlib_shim -Igen/shim_headers/libpng_shim -Igen/shim_headers/libwebp_shim -Igen/shim_headers/libdrm_shim -I../../third_party/libyuv/include -Igen/shim_headers/re2_shim -Igen/shim_headers/snappy_shim -I../../third_party/khronos -I../../gpu -I../../third_party/vulkan/include -Igen/shim_headers/openh264_shim -I../../third_party/ced/src -I../../third_party/icu/source/common -I../../third_party/icu/source/i18n -I../../third_party/protobuf/src -I../../v8/include -Igen/v8/include -I../../third_party/protobuf/src -Igen/protoc_out -I../../third_party/boringssl/src/include -I../../skia/config -I../../skia/ext -I../../third_party/skia/include/c -I../../third_party/skia/include/config -I../../third_party/skia/include/core -I../../third_party/skia/include/docs -I../../third_party/skia/include/effects -I../../third_party/skia/include/encode -I../../third_party/skia/include/gpu -I../../third_party/skia/include/pathops -I../../third_party/skia/include/ports -I../../third_party/skia/include/utils -I../../third_party/vulkan/include -I../../third_party/skia/third_party/vulkanmemoryallocator -I../../third_party/skia/include/codec -I../../third_party/skia/src/gpu -I../../third_party/skia/src/sksl -I../../third_party/skia/modules/skottie/include -I../../third_party/vulkan/include -I../../third_party/webrtc_overrides -I../../third_party/webrtc -I../../third_party/abseil-cpp -I../../third_party/angle/include -I../../third_party/angle/src/common/third_party/base -Igen/angle -I../../third_party/iccjpeg -I../../third_party/ots/include -I../../v8/include -Igen/v8/include -fno-strict-aliasing --param=ssp-buffer-size=4 -fstack-protector -Wno-builtin-macro-redefined -D__DATE__= -D__TIME__= -D__TIMESTAMP__= -funwind-tables -fPIC -pipe -pthread -Wno-unused-local-typedefs -Wno-maybe-uninitialized -Wno-deprecated-declarations -Wno-comments -Wno-missing-field-initializers -Wno-unused-parameter -fno-omit-frame-pointer -fvisibility=hidden -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/nss -I/usr/include/nspr -I/usr/include/libpng16 -I/usr/include/libxml2 -I/usr/include/libxml2 -std=gnu++14 -Wno-narrowing -fno-exceptions -fno-rtti -fvisibility-inlines-hidden -march=native -O2 -pipe -c ../../third_party/blink/renderer/modules/indexeddb/indexed_db_dispatcher.cc -o obj/third_party/blink/renderer/modules/indexeddb/indexeddb/indexed_db_dispatcher.o
In file included from /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.0/include/g++-v8/memory:80,
                 from ../../third_party/blink/renderer/modules/indexeddb/indexed_db_callbacks_impl.h:10,
                 from ../../third_party/blink/renderer/modules/indexeddb/indexed_db_dispatcher.h:14,
                 from ../../third_party/blink/renderer/modules/indexeddb/indexed_db_dispatcher.cc:5:
/usr/lib/gcc/x86_64-pc-linux-gnu/8.2.0/include/g++-v8/bits/unique_ptr.h: In instantiation of 'void std::default_delete<_Tp>::operator()(_Tp*) const [with _Tp = blink::IDBValue]':
/usr/lib/gcc/x86_64-pc-linux-gnu/8.2.0/include/g++-v8/bits/unique_ptr.h:274:17:   required from 'std::unique_ptr<_Tp, _Dp>::~unique_ptr() [with _Tp = blink::IDBValue; _Dp = std::default_delete<blink::IDBValue>]'
../../third_party/blink/public/platform/modules/indexeddb/web_idb_value.h:49:30:   required from here
/usr/lib/gcc/x86_64-pc-linux-gnu/8.2.0/include/g++-v8/bits/unique_ptr.h:79:16: error: invalid application of 'sizeof' to incomplete type 'blink::IDBValue'
  static_assert(sizeof(_Tp)>0,
Comment 5 Miroslav Šulc gentoo-dev 2018-11-22 18:45:09 UTC
applying the fix mentioned in comment #(In reply to Helmut Jarausch from comment #4)
> That's not the only problem.
> With the patch
> --- cc/input/snap_selection_strategy.h.ORIG	2018-10-30 05:11:53.000000000
> +0100
> +++ cc/input/snap_selection_strategy.h	2018-11-05 15:51:33.163842843 +0100
> @@ -6,6 +6,7 @@
>  #define CC_INPUT_SNAP_SELECTION_STRATEGY_H_
>  
>  #include "scroll_snap_data.h"
> +#include <memory>
>  
>  namespace cc {
> 

applying this fix resolved for me issue with compiling and merging chromium. no other issues appeared.
Comment 6 Andrew Waters 2018-11-23 06:44:26 UTC
Applying the patch gives me the same issue mentioned in comment 4
Comment 7 Miroslav Šulc gentoo-dev 2018-11-23 09:12:54 UTC
here are my use flags for my successful build:

# emerge -vp chromium

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   #] www-client/chromium-72.0.3595.2::gentoo  USE="cups hangouts (pic) proprietary-codecs pulseaudio suid -component-build -custom-cflags -gnome-keyring -jumbo-build -kerberos (-neon) (-selinux) (-system-ffmpeg) (-system-icu) (-system-libvpx) (-tcmalloc) -widevine" L10N="cs -am -ar -bg -bn -ca -da -de -el -en-GB -es -es-419 -et -fa -fi -fil -fr -gu -he -hi -hr -hu -id -it -ja -kn -ko -lt -lv -ml -mr -ms -nb -nl -pl -pt-BR -pt-PT -ro -ru -sk -sl -sr -sv -sw -ta -te -th -tr -uk -vi -zh-CN -zh-TW" 0 KiB

Total: 1 package (1 reinstall), Size of downloads: 0 KiB
Comment 8 Nick 2018-11-23 18:18:17 UTC
I get

error: invalid application of 'sizeof' to incomplete type 'blink::IDBValue'
  static_assert(sizeof(_Tp)>0,

with the <memory> patch on www-client/chromium-72.0.3595.2[gnome-keyring]
Comment 9 Nick 2018-11-24 05:35:01 UTC
I also get

error: invalid application of 'sizeof' to incomplete type 'blink::IDBValue'
  static_assert(sizeof(_Tp)>0,

with the <memory> patch and these use flags (-gnome-keyring):

[ebuild     U #] www-client/chromium-72.0.3595.2::gentoo [71.0.3578.10::gentoo] USE="cups hangouts (pic) proprietary-codecs pulseaudio -component-build -custom-cflags -gnome-keyring* -jumbo-build -kerberos (-neon) (-selinux) -suid (-system-ffmpeg) (-system-icu) (-system-libvpx) (-tcmalloc) -widevine" L10N="am ar bg bn ca cs da de el en-GB es es-419 et fa fi fil fr gu he hi hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr sv sw ta te th tr uk vi zh-CN zh-TW" 0 KiB
Comment 10 Nick 2018-11-27 04:01:05 UTC
Here are my dependency versions and emerge --info: (error: invalid application of 'sizeof' to incomplete type 'blink::IDBValue' static_assert(sizeof(_Tp)>0, with the <memory> patch)

emerge -pv1 app-accessibility/at-spi2-atk app-arch/bzip2 net-print/cups dev-libs/atk dev-libs/expat dev-libs/glib dev-libs/icu dev-libs/libxml2 dev-libs/libxslt dev-libs/nspr dev-libs/nss dev-libs/re2 gnome-base/libgnome-keyring media-libs/alsa-lib media-libs/fontconfig media-libs/freetype media-libs/harfbuzz media-libs/libjpeg-turbo media-libs/libpng media-libs/libvpx media-libs/openh264 media-sound/pulseaudio sys-apps/dbus sys-apps/pciutils virtual/udev x11-libs/cairo x11-libs/gdk-pixbuf x11-libs/gtk+ x11-libs/libX11 x11-libs/libXcomposite x11-libs/libXcursor x11-libs/libXdamage x11-libs/libXext x11-libs/libXfixes x11-libs/libXi x11-libs/libXrandr x11-libs/libXrender x11-libs/libXScrnSaver x11-libs/libXtst x11-libs/pango app-arch/snappy media-libs/flac media-libs/libwebp sys-libs/zlib glibc libc

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] app-arch/bzip2-1.0.6-r10:0/1::gentoo  USE="-static -static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R   ~] dev-libs/re2-0.2018.04.01:0/gentoo-2017-03-01::gentoo  USE="-icu" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild   R    ] sys-libs/zlib-1.2.11-r2:0/1::gentoo  USE="minizip -static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] dev-libs/expat-2.2.5::gentoo  USE="unicode -examples -static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] dev-libs/nspr-4.19::gentoo  USE="-debug" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild   R    ] media-libs/alsa-lib-1.1.6-r1::gentoo  USE="thread-safety -alisp -debug -doc -python" ABI_X86="32 (64) (-x32)" PYTHON_SINGLE_TARGET="python3_6 -python2_7 -python3_4 -python3_5" PYTHON_TARGETS="python2_7 python3_5 python3_6 -python3_4" 0 KiB
[ebuild   R    ] media-libs/libjpeg-turbo-1.5.3-r2::gentoo  USE="-java -static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] virtual/udev-217::gentoo  USE="(systemd)" 0 KiB
[ebuild   R    ] media-libs/libvpx-1.5.0:0/3::gentoo  USE="svc threads -doc -postproc -static-libs -test" ABI_X86="(64) -32 (-x32)" CPU_FLAGS_X86="mmx sse sse2 -avx -avx2 -sse3 -sse4_1 -ssse3" 0 KiB
[ebuild   R    ] media-libs/openh264-1.7.0-r1::gentoo  USE="plugin -utils" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild   R    ] app-arch/snappy-1.1.7:0/1::gentoo  USE="(-static-libs) -test" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild   R    ] sys-libs/glibc-2.27-r6:2.2::gentoo  USE="multiarch (multilib) -audit -caps (-compile-locales) -doc -gd (-hardened) -headers-only -nscd -profile (-selinux) -suid -systemtap (-vanilla)" 0 KiB
[ebuild   R    ] x11-libs/libX11-1.6.7::gentoo  USE="ipv6 -doc -static-libs -test" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-libs/libpng-1.6.34:0/16::gentoo  USE="apng (-neon) -static-libs" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="sse" 0 KiB
[ebuild   R    ] dev-libs/icu-60.2:0/60.2::gentoo  USE="-debug -doc -examples -static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R   ~] dev-libs/nss-3.39::gentoo  USE="nss-pem -cacert -utils" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild   R    ] sys-apps/pciutils-3.5.6::gentoo  USE="kmod udev zlib -dns (-static-libs)" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild   R    ] media-libs/flac-1.3.2-r1::gentoo  USE="cxx ogg (-altivec) -debug -static-libs" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="sse" 0 KiB
[ebuild   R    ] virtual/libc-1::gentoo  0 KiB
[ebuild   R    ] x11-libs/libXext-1.3.3-r1::gentoo  USE="-doc -static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] x11-libs/libXfixes-5.0.3-r1::gentoo  USE="-static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-libs/freetype-2.9.1-r3:2::gentoo  USE="X adobe-cff bzip2 cleartype_hinting png -bindist -debug -doc -fontforge -harfbuzz -infinality -static-libs -utils" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] sys-apps/dbus-1.10.24::gentoo  USE="X systemd -debug -doc -elogind (-selinux) -static-libs -test -user-session" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] x11-libs/libXrender-0.9.10-r1::gentoo  USE="-static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] dev-libs/libxml2-2.9.8:2::gentoo  USE="icu ipv6 python readline -debug -examples -lzma -static-libs -test" ABI_X86="32 (64) (-x32)" PYTHON_TARGETS="python2_7 python3_5 python3_6 -python3_4" 0 KiB
[ebuild   R    ] media-libs/libwebp-0.5.2:0/6::gentoo  USE="gif jpeg opengl png tiff -experimental (-neon) -static-libs -swap-16bit-csp" ABI_X86="(64) -32 (-x32)" CPU_FLAGS_X86="sse2 -avx2 -sse4_1" 0 KiB
[ebuild   R    ] media-libs/fontconfig-2.13.0-r4:1.0::gentoo  USE="-doc -static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] dev-libs/libxslt-1.1.32::gentoo  USE="crypt -debug -examples -python -static-libs" ABI_X86="32 (64) (-x32)" PYTHON_TARGETS="python2_7" 0 KiB
[ebuild   R    ] x11-libs/libXi-1.7.9-r1::gentoo  USE="-doc -static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] net-print/cups-2.2.7::gentoo  USE="X acl dbus pam ssl systemd threads usb -debug -java -kerberos -lprng-compat -python (-selinux) -static-libs -xinetd -zeroconf" ABI_X86="32 (64) (-x32)" PYTHON_TARGETS="python2_7" 0 KiB
[ebuild   R    ] x11-libs/libXcomposite-0.4.4-r2::gentoo  USE="-doc -static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] x11-libs/libXcursor-1.1.15::gentoo  USE="-static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] x11-libs/libXdamage-1.1.4-r2::gentoo  USE="-static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] x11-libs/libXrandr-1.5.1-r1::gentoo  USE="-static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] x11-libs/libXScrnSaver-1.2.3::gentoo  USE="-static-libs" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild   R   ~] dev-libs/glib-2.56.2:2::gentoo  USE="dbus (mime) xattr -debug (-fam) (-selinux) -static-libs -systemtap -test -utils" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] x11-libs/libXtst-1.2.3-r1::gentoo  USE="-doc -static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] x11-libs/cairo-1.14.12::gentoo  USE="X glib opengl svg xcb (-aqua) -debug (-gles2) -static-libs -valgrind" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R   ~] dev-libs/atk-2.28.1::gentoo  USE="introspection nls -test" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] x11-libs/gdk-pixbuf-2.36.12:2::gentoo  USE="X introspection jpeg tiff -debug -jpeg2k -test" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] gnome-base/libgnome-keyring-3.12.0-r1::gentoo  USE="introspection -debug -test -vala" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild   R   ~] app-accessibility/at-spi2-atk-2.26.2:2::gentoo  USE="-test" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-libs/harfbuzz-2.0.2:0/0.9.18::gentoo  USE="cairo glib graphite icu introspection truetype -debug -fontconfig -static-libs -test" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] x11-libs/pango-1.42.4::gentoo  USE="X introspection -test" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] x11-libs/gtk+-3.22.30:3::gentoo  USE="X colord cups introspection (-aqua) -broadway -cloudprint -examples -test -vim-syntax -wayland -xinerama" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] media-sound/pulseaudio-11.1-r1::gentoo  USE="X alsa alsa-plugin asyncns bluetooth caps dbus gdbm glib gnome gtk ipv6 orc qt5 ssl systemd tcpd udev webrtc-aec -doc -equalizer -jack -libressl -libsamplerate -lirc -native-headset (-neon) -ofono-headset (-oss) -realtime (-selinux) -sox (-system-wide) -test -zeroconf" ABI_X86="32 (64) (-x32)" 0 KiB

Total: 46 packages (46 reinstalls), Size of downloads: 0 KiB

emerge --info
Portage 2.3.51 (python 3.6.6-final-0, default/linux/amd64/17.0/desktop/gnome/systemd, gcc-8.2.0, glibc-2.27-r6, 4.19.4-gentoo x86_64)
=================================================================
System uname: Linux-4.19.4-gentoo-x86_64-Intel-R-_Core-TM-_i7-7700HQ_CPU_@_2.80GHz-with-gentoo-2.6
KiB Mem:    16373180 total,   7966756 free
KiB Swap:   16777212 total,  16777212 free
Timestamp of repository gentoo: Tue, 27 Nov 2018 00:45:01 +0000
sh bash 4.4_p12
ld GNU ld (Gentoo 2.30 p5) 2.30.0
app-shells/bash:          4.4_p12::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.24.3-r1::gentoo
dev-lang/python:          2.7.15::gentoo, 3.5.5-r1::gentoo, 3.6.6::gentoo, 3.7.0::gentoo
dev-util/cmake:           3.9.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.13.4-r2::gentoo, 1.15.1-r2::gentoo
sys-devel/binutils:       2.30-r4::gentoo
sys-devel/gcc:            7.3.0-r6::gentoo, 8.2.0-r4::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.19::gentoo (virtual/os-headers)
sys-libs/glibc:           2.27-r6::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: webrsync
    sync-uri: #rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync webrsync-gpg xattr"
FFLAGS="-O2 -pipe"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j8"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr cli colord crypt cuda cups cxx dbus dri dts dvd dvdr eds emboss encode evo exif fam flac fortran gdbm gif glamor gnome gnome-keyring gnome-online-accounts gpm gstreamer gtk ibus iconv introspection ipv6 jpeg lcms libass libnotify libsecret libtirpc mad mmx mng modplug mp3 mp4 mpeg multilib nautilus ncurses nls nptl ogg opencl opengl openmp opus pam pango pcre pdf png policykit ppds pulseaudio qt5 readline sdl seccomp spell sse sse2 ssl startup-notification svg systemd tcpd tiff tracker truetype udev udisks unicode upower usb vaapi vdpau vorbis wxwidgets x264 xattr xcb xml xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon plan sheets stage words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-1" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_5 python3_6" RUBY_TARGETS="ruby23 ruby24" USERLAND="GNU" VIDEO_CARDS="intel i965 nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 11 Andrew Waters 2018-12-07 16:46:21 UTC
Adding the #include <memory> patch from comment 4 and the patch from https://chromium.googlesource.com/chromium/src.git/+/cd8b2fb824e19b6406a150fb4ff932a0375ea505%5E%21/#F0 allowed this to build.